; ================================================================================
; 								RallyeLect
; ================================================================================
;
; 	Par Cyrille Largillier en s'insiprant des scripts de fat115
; 	License : Ceccil
; 	Ce script permet de gnrer des fiches de rallye-lecture
; 	Compiler: AutoHotkey (http://www.autohotkey.com/).
;	Email : cyrille.largillier@free.Fr
;	Website : http://melospawn.free.fr
; ================================================================================

; On force le rpertoire des includes  tre celui du script
#Include %A_ScriptDir%
; On dsactive l'icne de la barre des tches
#NoTrayIcon
; On inclut pour le traitement des fichiers xml
#Include xpath.ahk
; Pour la suite, on dfinit de manire explicite le rpertoire de travail
SetWorkingDir %A_ScriptDir%
; On dfinit le format des Float
SetFormat, FloatFast, 0.2

; Traitement des PDF, chargement de la librairie HARU
#Include HPDF.ahk
hpdfDllFile := A_ScriptDir "\libhpdf.dll"
hDll := HPDF_LoadDLL(hpdfDllFile)

; On dfinit les sous dossiers pour le traitement des fichiers temporaires et des images
TempDir := A_ScriptDir . "\Temp"
ModeleDir := A_ScriptDir . "\Modele"
PDFDir := A_ScriptDir . "\PDF"
ProjetDir := A_ScriptDir . "\Projet"
IMConvert := A_ScriptDir . "\ImageMagick\convert.exe"
IMComposite := A_ScriptDir . "\ImageMagick\composite.exe"
PDFLecteur := A_ScriptDir . "\SumatraPDF\SumatraPDF.exe"

LogMsg := ""
NomFichier := ""
NomFichierCorrection := ""

; Lecture du fichier INI et construction des DropDownList
IniRead, FramaDevDir, %A_ScriptDir%\RallyeLect.ini, DEVELOPMENT, FramaKeyDir
IniRead, FramaEditor,  %A_ScriptDir%\RallyeLect.ini, DEVELOPMENT, FramaEditeur
IniRead, FramaCompiler,  %A_ScriptDir%\RallyeLect.ini, DEVELOPMENT, FramaCompilateur

ListLicense := ListIni("LICENSES")


; ================================================================================
;					 Dfinition de la GUI principale
; ================================================================================
MainGuiDef:
{
	; Dfinitions des Boutons & Onglets 
	Gui, Add, Button, x15 y20 w120 h30 vNouvelleFiche gNouvelleFiche, Nouvelle Fiche
	Gui, Add, Button, x15 y60 w120 h30 vOuvrirProjet gOuvrirProjet, Ouvrir un projet	
	Gui, Add, Button, x15 y100 w120 h30 vEnregistrerProjet gEnregistrerProjet, Enregistrer le projet
	Gui, Add, Button, x15 y140 w120 h30 vCreatePDF gCreatePDF, Crer le PDF de questions
	Gui, Add, Button, x15 y180 w120 h30 Disabled vReadPDF gReadPDF, Lire le PDF de questions
	Gui, Add, Button, x15 y220 w120 h30 vCreatePDFCorrection gCreatePDFCorrection, Crer le PDF de correction
	Gui, Add, Button, x15 y260 w120 h30 Disabled vReadPDFCorrection gReadPDFCorrection, Lire le PDF de correction
	Gui, Add, Button, x15 y300 w120 h30 vAide gAide, Aide
	Gui, Add, Button, x15 y340 w120 h30 vGuiClose gGuiClose, Quitter
	Gui, Add, Tab, x156 y2 w714 h380 vOnglets, Gnral|Question1|Question2|Question3|Question4|Question5|Question6|Question7|Question8|Question9|Question10
	; Onglet Gnral
	Gui, Tab, Gnral
	{
		Gui, Add, GroupBox, x166 y32 w698 h180 , Informations sur le livre
		Gui, Add, Text, x173 y55 w152 h16 , Titre du livre
		Gui, Add, Edit, x332 y52 w300 h22 vBookTitle, 
		Gui, Add, Text, x173 y85 w152 h16 , Nom de l'auteur
		Gui, Add, Edit, x332 y82 w150 h22 vBookAuteur, 
		Gui, Add, Text, x173 y115 w152 h16 , Nom de l'illustrateur (si diffrent)
		Gui, Add, Edit, x332 y112 w150 h22 vBookIllustrateur, 
		Gui, Add, Text, x173 y145 w152 h16 , Nom de l'diteur
		Gui, Add, Edit, x332 y142 w150 h22 vBookEditeur, 
		Gui, Add, Text, x173 y172 w152 h20 , Image de la couverture 
		Gui, Add, Edit, x332 y172 w150 h20 vScreenFile, 
		Gui, Add, Button, x496 y172 w30 h20 gFileSelectScreen, ...
		Gui, Add, Picture, x676 y58 w128 h-1 vScreen128,
		
		Gui, Add, GroupBox, x166 y222 w698 h150 , Informations sur la fiche et son rdacteur
		Gui, Add, Text, x173 y245 w152 h16 , Rdacteur de la fiche
		Gui, Add, Edit, x332 y242 w200 h22 vFicheRedacteur, 
		Gui, Add, Text, x173 y275 w152 h16 , Courriel du rdacteur
		Gui, Add, Edit, x332 y272 w200 h22 vFicheEmail, 
		Gui, Add, Text, x173 y305 w152 h16 , Numro de la fiche
		Gui, Add, Edit, x332 y302 w30 h22 vFicheNumero, 
		Gui, Add, Text, x173 y335 w152 h16 , Licence
		Gui, Add, DropDownList, x332 y332 w200 h22 R5 vFicheLicense, %ListLicense%
	}
	; Onglet Question1
	Gui, Tab, Question1
	{
		Gui, Add, Text, x173 y55 w70 h16 , Question 1
		Gui, Add, Edit, x243 y52 w600 h22 vQuestion_1,
		Gui, Add, Text, x800 y90 w50 h16 , Exact
		Gui, Add, Text, x173 y110 w70 h16, Rponse A
		Gui, Add, Edit, x243 y107 w450 h22 vReponseA_1, 
		Gui, Add, Checkbox, x810 y110 vExactA_1,
		Gui, Add, Text, x173 y150 w70 h16 , Rponse B
		Gui, Add, Edit, x243 y147 w450 h22 vReponseB_1, 
		Gui, Add, Checkbox, x810 y150 vExactB_1,
		Gui, Add, Text, x173 y190 w70 h16 , Rponse C
		Gui, Add, Edit, x243 y187 w450 h22 vReponseC_1, 
		Gui, Add, Checkbox, x810 y190 vExactC_1,
		Gui, Add, Text, x173 y230 w70 h16 , Rponse D
		Gui, Add, Edit, x243 y227 w450 h22 vReponseD_1, 
		Gui, Add, Checkbox, x810 y230 vExactD_1,
		Gui, Add, GroupBox, x166 y260 w698 h110 ,
		Gui, Add, Text, x173 y300 w70 h16 , Disposition
		Gui, Add, Picture, x243 y275 w64 h-1, %ModeleDir%\reponse1.png
		Gui, Add, Picture, x353 y275 w64 h-1, %ModeleDir%\reponse2.png
		Gui, Add, Picture, x463 y275 w64 h-1, %ModeleDir%\reponse3.png
		NbObjet_1=17
		Gui, Add, Radio,x271 y340 vDisposition_1 gDisposition1A,
		Gui, Add, Radio,x381 y340 gDisposition1B,
		Gui, Add, Radio,x491 y340 gDisposition1C,
		Gui, Add, Text, x700 y300 w120 h16 , Nombre de points
		Gui, Add, Edit, x800 y297 w30 h22 vNbPoints_1, 
	}
	; Onglet Question2
	Gui, Tab, Question2
	{
		Gui, Add, Text, x173 y55 w70 h16 , Question 2
		Gui, Add, Edit, x243 y52 w600 h22 vQuestion_2,
		Gui, Add, Text, x800 y90 w50 h16 , Exact
		Gui, Add, Text, x173 y110 w70 h16 , Rponse A
		Gui, Add, Edit, x243 y107 w450 h22 vReponseA_2, 
		Gui, Add, Checkbox, x810 y110 vExactA_2,
		Gui, Add, Text, x173 y150 w70 h16 , Rponse B
		Gui, Add, Edit, x243 y147 w450 h22 vReponseB_2, 
		Gui, Add, Checkbox, x810 y150 vExactB_2,
		Gui, Add, Text, x173 y190 w70 h16 , Rponse C
		Gui, Add, Edit, x243 y187 w450 h22 vReponseC_2, 
		Gui, Add, Checkbox, x810 y190 vExactC_2,
		Gui, Add, Text, x173 y230 w70 h16 , Rponse D
		Gui, Add, Edit, x243 y227 w450 h22 vReponseD_2, 
		Gui, Add, Checkbox, x810 y230 vExactD_2,
		Gui, Add, GroupBox, x166 y260 w698 h110 ,
		Gui, Add, Text, x173 y300 w70 h16 , Disposition
		Gui, Add, Picture, x243 y275 w64 h-1, %ModeleDir%\reponse1.png
		Gui, Add, Picture, x353 y275 w64 h-1, %ModeleDir%\reponse2.png
		Gui, Add, Picture, x463 y275 w64 h-1, %ModeleDir%\reponse3.png
		NbObjet_2=25
		Gui, Add, Radio,x271 y340 vDisposition_2 gDisposition2A,
		Gui, Add, Radio,x381 y340 gDisposition2B,
		Gui, Add, Radio,x491 y340 gDisposition2C,
		Gui, Add, Text, x700 y300 w120 h16 , Nombre de points
		Gui, Add, Edit, x800 y297 w30 h22 vNbPoints_2, 
	}
	Gui, Tab, Question3
	{
		Gui, Add, Text, x173 y55 w70 h16 , Question 3
		Gui, Add, Edit, x243 y52 w600 h22 vQuestion_3,
		Gui, Add, Text, x800 y90 w50 h16 , Exact
		Gui, Add, Text, x173 y110 w70 h16 , Rponse A
		Gui, Add, Edit, x243 y107 w450 h22 vReponseA_3, 
		Gui, Add, Checkbox, x810 y110 vExactA_3,
		Gui, Add, Text, x173 y150 w70 h16 , Rponse B
		Gui, Add, Edit, x243 y147 w450 h22 vReponseB_3, 
		Gui, Add, Checkbox, x810 y150 vExactB_3,
		Gui, Add, Text, x173 y190 w70 h16 , Rponse C
		Gui, Add, Edit, x243 y187 w450 h22 vReponseC_3, 
		Gui, Add, Checkbox, x810 y190 vExactC_3,
		Gui, Add, Text, x173 y230 w70 h16 , Rponse D
		Gui, Add, Edit, x243 y227 w450 h22 vReponseD_3, 
		Gui, Add, Checkbox, x810 y230 vExactD_3,
		Gui, Add, GroupBox, x166 y260 w698 h110 ,
		Gui, Add, Text, x173 y300 w70 h16 , Disposition
		Gui, Add, Picture, x243 y275 w64 h-1, %ModeleDir%\reponse1.png
		Gui, Add, Picture, x353 y275 w64 h-1, %ModeleDir%\reponse2.png
		Gui, Add, Picture, x463 y275 w64 h-1, %ModeleDir%\reponse3.png
		NbObjet_3=33
		Gui, Add, Radio,x271 y340 vDisposition_3 gDisposition3A,
		Gui, Add, Radio,x381 y340 gDisposition3B,
		Gui, Add, Radio,x491 y340 gDisposition3C,
		Gui, Add, Text, x700 y300 w120 h16 , Nombre de points
		Gui, Add, Edit, x800 y297 w30 h22 vNbPoints_3, 
	}
	Gui, Tab, Question4
	{
		Gui, Add, Text, x173 y55 w70 h16 , Question 4
		Gui, Add, Edit, x243 y52 w600 h22 vQuestion_4,
		Gui, Add, Text, x800 y90 w50 h16 , Exact
		Gui, Add, Text, x173 y110 w70 h16 , Rponse A
		Gui, Add, Edit, x243 y107 w450 h22 vReponseA_4, 
		Gui, Add, Checkbox, x810 y110 vExactA_4,
		Gui, Add, Text, x173 y150 w70 h16 , Rponse B
		Gui, Add, Edit, x243 y147 w450 h22 vReponseB_4, 
		Gui, Add, Checkbox, x810 y150 vExactB_4,
		Gui, Add, Text, x173 y190 w70 h16 , Rponse C
		Gui, Add, Edit, x243 y187 w450 h22 vReponseC_4, 
		Gui, Add, Checkbox, x810 y190 vExactC_4,
		Gui, Add, Text, x173 y230 w70 h16 , Rponse D
		Gui, Add, Edit, x243 y227 w450 h22 vReponseD_4, 
		Gui, Add, Checkbox, x810 y230 vExactD_4,
		Gui, Add, GroupBox, x166 y260 w698 h110 ,
		Gui, Add, Text, x173 y300 w70 h16 , Disposition
		Gui, Add, Picture, x243 y275 w64 h-1, %ModeleDir%\reponse1.png
		Gui, Add, Picture, x353 y275 w64 h-1, %ModeleDir%\reponse2.png
		Gui, Add, Picture, x463 y275 w64 h-1, %ModeleDir%\reponse3.png
		NbObjet_4=41
		Gui, Add, Radio,x271 y340 vDisposition_4 gDisposition4A,
		Gui, Add, Radio,x381 y340 gDisposition4B,
		Gui, Add, Radio,x491 y340 gDisposition4C,
		Gui, Add, Text, x700 y300 w120 h16 , Nombre de points
		Gui, Add, Edit, x800 y297 w30 h22 vNbPoints_4, 
	}
	Gui, Tab, Question5
	{
		Gui, Add, Text, x173 y55 w70 h16 , Question 5
		Gui, Add, Edit, x243 y52 w600 h22 vQuestion_5,
		Gui, Add, Text, x800 y90 w50 h16 , Exact
		Gui, Add, Text, x173 y110 w70 h16 , Rponse A
		Gui, Add, Edit, x243 y107 w450 h22 vReponseA_5, 
		Gui, Add, Checkbox, x810 y110 vExactA_5,
		Gui, Add, Text, x173 y150 w70 h16 , Rponse B
		Gui, Add, Edit, x243 y147 w450 h22 vReponseB_5, 
		Gui, Add, Checkbox, x810 y150 vExactB_5,
		Gui, Add, Text, x173 y190 w70 h16 , Rponse C
		Gui, Add, Edit, x243 y187 w450 h22 vReponseC_5, 
		Gui, Add, Checkbox, x810 y190 vExactC_5,
		Gui, Add, Text, x173 y230 w70 h16 , Rponse D
		Gui, Add, Edit, x243 y227 w450 h22 vReponseD_5, 
		Gui, Add, Checkbox, x810 y230 vExactD_5,
		Gui, Add, GroupBox, x166 y260 w698 h110 ,
		Gui, Add, Text, x173 y300 w70 h16 , Disposition
		Gui, Add, Picture, x243 y275 w64 h-1, %ModeleDir%\reponse1.png
		Gui, Add, Picture, x353 y275 w64 h-1, %ModeleDir%\reponse2.png
		Gui, Add, Picture, x463 y275 w64 h-1, %ModeleDir%\reponse3.png
		NbObjet_5=49
		Gui, Add, Radio,x271 y340 vDisposition_5 gDisposition5A,
		Gui, Add, Radio,x381 y340 gDisposition5B,
		Gui, Add, Radio,x491 y340 gDisposition5C,
		Gui, Add, Text, x700 y300 w120 h16 , Nombre de points
		Gui, Add, Edit, x800 y297 w30 h22 vNbPoints_5, 
	}
	Gui, Tab, Question6
	{
		Gui, Add, Text, x173 y55 w70 h16 , Question 6
		Gui, Add, Edit, x243 y52 w600 h22 vQuestion_6,
		Gui, Add, Text, x800 y90 w50 h16 , Exact
		Gui, Add, Text, x173 y110 w70 h16 , Rponse A
		Gui, Add, Edit, x243 y107 w450 h22 vReponseA_6, 
		Gui, Add, Checkbox, x810 y110 vExactA_6,
		Gui, Add, Text, x173 y150 w70 h16 , Rponse B
		Gui, Add, Edit, x243 y147 w450 h22 vReponseB_6, 
		Gui, Add, Checkbox, x810 y150 vExactB_6,
		Gui, Add, Text, x173 y190 w70 h16 , Rponse C
		Gui, Add, Edit, x243 y187 w450 h22 vReponseC_6, 
		Gui, Add, Checkbox, x810 y190 vExactC_6,
		Gui, Add, Text, x173 y230 w70 h16 , Rponse D
		Gui, Add, Edit, x243 y227 w450 h22 vReponseD_6, 
		Gui, Add, Checkbox, x810 y230 vExactD_6,
		Gui, Add, GroupBox, x166 y260 w698 h110 ,
		Gui, Add, Text, x173 y300 w70 h16 , Disposition
		Gui, Add, Picture, x243 y275 w64 h-1, %ModeleDir%\reponse1.png
		Gui, Add, Picture, x353 y275 w64 h-1, %ModeleDir%\reponse2.png
		Gui, Add, Picture, x463 y275 w64 h-1, %ModeleDir%\reponse3.png
		NbObjet_6=57
		Gui, Add, Radio,x271 y340 vDisposition_6 gDisposition6A,
		Gui, Add, Radio,x381 y340 gDisposition6B,
		Gui, Add, Radio,x491 y340 gDisposition6C,
		Gui, Add, Text, x700 y300 w120 h16 , Nombre de points
		Gui, Add, Edit, x800 y297 w30 h22 vNbPoints_6, 
	}
	Gui, Tab, Question7
	{
		Gui, Add, Text, x173 y55 w70 h16 , Question 7
		Gui, Add, Edit, x243 y52 w600 h22 vQuestion_7,
		Gui, Add, Text, x800 y90 w50 h16 , Exact
		Gui, Add, Text, x173 y110 w70 h16 , Rponse A
		Gui, Add, Edit, x243 y107 w450 h22 vReponseA_7, 
		Gui, Add, Checkbox, x810 y110 vExactA_7,
		Gui, Add, Text, x173 y150 w70 h16 , Rponse B
		Gui, Add, Edit, x243 y147 w450 h22 vReponseB_7, 
		Gui, Add, Checkbox, x810 y150 vExactB_7,
		Gui, Add, Text, x173 y190 w70 h16 , Rponse C
		Gui, Add, Edit, x243 y187 w450 h22 vReponseC_7, 
		Gui, Add, Checkbox, x810 y190 vExactC_7,
		Gui, Add, Text, x173 y230 w70 h16 , Rponse D
		Gui, Add, Edit, x243 y227 w450 h22 vReponseD_7, 
		Gui, Add, Checkbox, x810 y230 vExactD_7,
		Gui, Add, GroupBox, x166 y260 w698 h110 ,
		Gui, Add, Text, x173 y300 w70 h16 , Disposition
		Gui, Add, Picture, x243 y275 w64 h-1, %ModeleDir%\reponse1.png
		Gui, Add, Picture, x353 y275 w64 h-1, %ModeleDir%\reponse2.png
		Gui, Add, Picture, x463 y275 w64 h-1, %ModeleDir%\reponse3.png
		NbObjet_7=65
		Gui, Add, Radio,x271 y340 vDisposition_7 gDisposition7A,
		Gui, Add, Radio,x381 y340 gDisposition7B,
		Gui, Add, Radio,x491 y340 gDisposition7C,
		Gui, Add, Text, x700 y300 w120 h16 , Nombre de points
		Gui, Add, Edit, x800 y297 w30 h22 vNbPoints_7, 
	}
	Gui, Tab, Question8
	{
		Gui, Add, Text, x173 y55 w70 h16 , Question 8
		Gui, Add, Edit, x243 y52 w600 h22 vQuestion_8,
		Gui, Add, Text, x800 y90 w50 h16 , Exact
		Gui, Add, Text, x173 y110 w70 h16 , Rponse A
		Gui, Add, Edit, x243 y107 w450 h22 vReponseA_8, 
		Gui, Add, Checkbox, x810 y110 vExactA_8,
		Gui, Add, Text, x173 y150 w70 h16 , Rponse B
		Gui, Add, Edit, x243 y147 w450 h22 vReponseB_8, 
		Gui, Add, Checkbox, x810 y150 vExactB_8,
		Gui, Add, Text, x173 y190 w70 h16 , Rponse C
		Gui, Add, Edit, x243 y187 w450 h22 vReponseC_8, 
		Gui, Add, Checkbox, x810 y190 vExactC_8,
		Gui, Add, Text, x173 y230 w70 h16 , Rponse D
		Gui, Add, Edit, x243 y227 w450 h22 vReponseD_8, 
		Gui, Add, Checkbox, x810 y230 vExactD_8,
		Gui, Add, GroupBox, x166 y260 w698 h110 ,
		Gui, Add, Text, x173 y300 w70 h16 , Disposition
		Gui, Add, Picture, x243 y275 w64 h-1, %ModeleDir%\reponse1.png
		Gui, Add, Picture, x353 y275 w64 h-1, %ModeleDir%\reponse2.png
		Gui, Add, Picture, x463 y275 w64 h-1, %ModeleDir%\reponse3.png
		NbObjet_8=73
		Gui, Add, Radio,x271 y340 vDisposition_8 gDisposition8A,
		Gui, Add, Radio,x381 y340 gDisposition8B,
		Gui, Add, Radio,x491 y340 gDisposition8C,
		Gui, Add, Text, x700 y300 w120 h16 , Nombre de points
		Gui, Add, Edit, x800 y297 w30 h22 vNbPoints_8, 
	}
	Gui, Tab, Question9
	{
		Gui, Add, Text, x173 y55 w70 h16 , Question 9
		Gui, Add, Edit, x243 y52 w600 h22 vQuestion_9,
		Gui, Add, Text, x800 y90 w50 h16 , Exact
		Gui, Add, Text, x173 y110 w70 h16 , Rponse A
		Gui, Add, Edit, x243 y107 w450 h22 vReponseA_9, 
		Gui, Add, Checkbox, x810 y110 vExactA_9,
		Gui, Add, Text, x173 y150 w70 h16 , Rponse B
		Gui, Add, Edit, x243 y147 w450 h22 vReponseB_9, 
		Gui, Add, Checkbox, x810 y150 vExactB_9,
		Gui, Add, Text, x173 y190 w70 h16 , Rponse C
		Gui, Add, Edit, x243 y187 w450 h22 vReponseC_9, 
		Gui, Add, Checkbox, x810 y190 vExactC_9,
		Gui, Add, Text, x173 y230 w70 h16 , Rponse D
		Gui, Add, Edit, x243 y227 w450 h22 vReponseD_9, 
		Gui, Add, Checkbox, x810 y230 vExactD_9,
		Gui, Add, GroupBox, x166 y260 w698 h110 ,
		Gui, Add, Text, x173 y300 w70 h16 , Disposition
		Gui, Add, Picture, x243 y275 w64 h-1, %ModeleDir%\reponse1.png
		Gui, Add, Picture, x353 y275 w64 h-1, %ModeleDir%\reponse2.png
		Gui, Add, Picture, x463 y275 w64 h-1, %ModeleDir%\reponse3.png
		NbObjet_9=81
		Gui, Add, Radio,x271 y340 vDisposition_9 gDisposition9A,
		Gui, Add, Radio,x381 y340 gDisposition9B,
		Gui, Add, Radio,x491 y340 gDisposition9C,
		Gui, Add, Text, x700 y300 w120 h16 , Nombre de points
		Gui, Add, Edit, x800 y297 w30 h22 vNbPoints_9, 
	}
	Gui, Tab, Question10
	{
		Gui, Add, Text, x173 y55 w70 h16 , Question 10
		Gui, Add, Edit, x243 y52 w600 h22 vQuestion_10,
		Gui, Add, Text, x800 y90 w50 h16 , Exact
		Gui, Add, Text, x173 y110 w70 h16 , Rponse A
		Gui, Add, Edit, x243 y107 w450 h22 vReponseA_10, 
		Gui, Add, Checkbox, x810 y110 vExactA_10,
		Gui, Add, Text, x173 y150 w70 h16 , Rponse B
		Gui, Add, Edit, x243 y147 w450 h22 vReponseB_10, 
		Gui, Add, Checkbox, x810 y150 vExactB_10,
		Gui, Add, Text, x173 y190 w70 h16 , Rponse C
		Gui, Add, Edit, x243 y187 w450 h22 vReponseC_10, 
		Gui, Add, Checkbox, x810 y190 vExactC_10,
		Gui, Add, Text, x173 y230 w70 h16 , Rponse D
		Gui, Add, Edit, x243 y227 w450 h22 vReponseD_10, 
		Gui, Add, Checkbox, x810 y230 vExactD_10,
		Gui, Add, GroupBox, x166 y260 w698 h110 ,
		Gui, Add, Text, x173 y300 w70 h16 , Disposition
		Gui, Add, Picture, x243 y275 w64 h-1, %ModeleDir%\reponse1.png
		Gui, Add, Picture, x353 y275 w64 h-1, %ModeleDir%\reponse2.png
		Gui, Add, Picture, x463 y275 w64 h-1, %ModeleDir%\reponse3.png
		NbObjet_10=89
		Gui, Add, Radio,x271 y340 vDisposition_10 gDisposition10A,
		Gui, Add, Radio,x381 y340 gDisposition10B,
		Gui, Add, Radio,x491 y340 gDisposition10C,
		Gui, Add, Text, x700 y300 w120 h16 , Nombre de points
		Gui, Add, Edit, x800 y297 w30 h22 vNbPoints_10, 
	}
	Gui, Add, StatusBar, gLogWindow

	Gui, Show, Center h410 w876, RallyeLect
Return
}

; ================================================================================
;			Gestion des boites de dialogue de selection et de fermeture
; ================================================================================


FileSelectScreen:
{
	Gui +OwnDialogs  ; Force the user to dismiss the FileSelectFile dialog before returning to the main window.
	FileSelectFile,SelectedScreen,,,Slection de la couverture, Images (*.png; *.gif; *.jpg; *.jpeg; *.bmp)
	If ErrorLevel
		Return
	GuiControl,, ScreenFile, %SelectedScreen%
	ScreenshotFile := SelectedScreen
	Gosub, TransformScreen
Return
}

; ================================================================================
;						Gestion des boutons
; ================================================================================

;================================================================================================
;================================================================================================
; Vrification que la longueur des chaines de caractres tapes dans les rponses corresponde
;  la disposition choisie.
;================================================================================================
;================================================================================================
Disposition1A:
{
VerifLongueurA(1)
Return
}

Disposition1B:
{
VerifLongueurB(1)
Return
}

Disposition1C:
{
VerifLongueurC(1)
Return
}

Disposition2A:
{
VerifLongueurA(2)
Return
}

Disposition2B:
{
VerifLongueurB(2)
Return
}

Disposition2C:
{
VerifLongueurC(2)
Return
}

Disposition3A:
{
VerifLongueurA(3)
Return
}

Disposition3B:
{
VerifLongueurB(3)
Return
}

Disposition3C:
{
VerifLongueurC(3)
Return
}

Disposition4A:
{
VerifLongueurA(4)
Return
}

Disposition4B:
{
VerifLongueurB(4)
Return
}

Disposition4C:
{
VerifLongueurC(4)
Return
}

Disposition5A:
{
VerifLongueurA(5)
Return
}

Disposition5B:
{
VerifLongueurB(5)
Return
}

Disposition5C:
{
VerifLongueurC(5)
Return
}

Disposition6A:
{
VerifLongueurA(6)
Return
}

Disposition6B:
{
VerifLongueurB(6)
Return
}

Disposition6C:
{
VerifLongueurC(6)
Return
}

Disposition7A:
{
VerifLongueurA(7)
Return
}

Disposition7B:
{
VerifLongueurB(7)
Return
}

Disposition7C:
{
VerifLongueurC(7)
Return
}

Disposition8A:
{
VerifLongueurA(8)
Return
}

Disposition8B:
{
VerifLongueurB(8)
Return
}

Disposition8C:
{
VerifLongueurC(8)
Return
}

Disposition9A:
{
VerifLongueurA(9)
Return
}

Disposition9B:
{
VerifLongueurB(9)
Return
}

Disposition9C:
{
VerifLongueurC(9)
Return
}

Disposition10A:
{
VerifLongueurA(10)
Return
}

Disposition10B:
{
VerifLongueurB(10)
Return
}

Disposition10C:
{
VerifLongueurC(10)
Return
}
;================================================================================================
;================================================================================================
; Nouvelle Fiche -> Efface toutes les donnes prcedemment entres et efface le contenu du dossier TMP
;================================================================================================
;================================================================================================
NouvelleFiche:
{
GuiControl, Disable, ReadPDF
GuiControl, Disable, ReadPDFCorrection
GuiControl,, BookTitle,
GuiControl,, BookAuteur,
GuiControl,, BookIllustrateur,
GuiControl,, BookEditeur,
GuiControl,, ScreenFile,
GuiControl,, FicheRedacteur,
GuiControl,, FicheEmail,
GuiControl,, FicheNumero,
GuiControl, ChooseString, FicheLicense, Creative Commons BY-SA
Loop, 10
	{
	GuiControl,, Question_%A_Index%,
	GuiControl,, ReponseA_%A_Index%,
	GuiControl,, ReponseB_%A_Index%,
	GuiControl,, ReponseC_%A_Index%,
	GuiControl,, ReponseD_%A_Index%,
	GuiControl,, ExactA_%A_Index%,0
	GuiControl,, ExactB_%A_Index%,0
	GuiControl,, ExactC_%A_Index%,0
	GuiControl,, ExactD_%A_Index%,0
	GuiControl,, Disposition_%A_Index%,0
	GuiControl,, NbPoints_%A_Index%,
	}
GuiControl, , Screen128, 
Gosub CleanTemp
Return
}

;================================================================================================
;================================================================================================
; Ourvrir le projet
;================================================================================================
;================================================================================================
OuvrirProjet:
{
LogStatus("Dbut de l'ouverture d'un projet")
;on ouvre une boite de dialogue
Gui +OwnDialogs  ; Force the user to dismiss the FileSelectFile dialog before returning to the main window.
FileSelectFile,SelectedFileRallye,,%ProjetDir%,Slection d'un projet RallyeLect, Fichiers RallyeLect (*.rly)
If ErrorLevel
	Return

;dbut de lecture des donnes dans le fichier rly
IniRead, LivreTitre, %SelectedFileRallye%, General, Titre
IniRead, LivreAuteur, %SelectedFileRallye%, General, Auteur
IniRead, LivreIllustrateur, %SelectedFileRallye%, General, Illustrateur
IniRead, LivreEditeur, %SelectedFileRallye%, General, Editeur
IniRead, LivreImage, %SelectedFileRallye%, General, Image
IniRead, LivreRedacteur, %SelectedFileRallye%, General, Redacteur
IniRead, LivreEmail, %SelectedFileRallye%, General, Courriel
IniRead, LivreNumero, %SelectedFileRallye%, General, Numero
IniRead, LivreLicense, %SelectedFileRallye%, General, Licence
GuiControl,, BookTitle, %LivreTitre%
GuiControl,, BookAuteur, %LivreAuteur%
GuiControl,, BookIllustrateur, %LivreIllustrateur%
GuiControl,, BookEditeur, %LivreEditeur%
GuiControl,, ScreenFile, %LivreImage%
SelectedScreen := LivreImage
RunWait, "%IMConvert%" "%SelectedScreen%" -scale 650x750 -trim -background transparent -gravity center -extent 600x700 "%TempDir%\Cover.png",, Hide
RunWait, "%IMConvert%" "%SelectedScreen%" -scale 128x128 -trim -background transparent -gravity center -extent 128x128 "%TempDir%\Cover128.png",, Hide
GuiControl, , Screen128, %TempDir%\Cover128.png

GuiControl,, FicheRedacteur, %LivreRedacteur%
GuiControl,, FicheEmail, %LivreEmail%
GuiControl,, FicheNumero, %LivreNumero%
GuiControl, ChooseString, FicheLicense, %LivreLicense%
Loop, 10
{
	IniRead, ReadQuestion_%A_Index%, %SelectedFileRallye%, Question%A_Index%, Question
	IniRead, ReadReponseA_%A_Index%, %SelectedFileRallye%, Question%A_Index%, ReponseA
	IniRead, ReadReponseB_%A_Index%, %SelectedFileRallye%, Question%A_Index%, ReponseB
	IniRead, ReadReponseC_%A_Index%, %SelectedFileRallye%, Question%A_Index%, ReponseC
	IniRead, ReadReponseD_%A_Index%, %SelectedFileRallye%, Question%A_Index%, ReponseD
	IniRead, ReadExactA_%A_Index%, %SelectedFileRallye%, Question%A_Index%, ExactA
	IniRead, ReadExactB_%A_Index%, %SelectedFileRallye%, Question%A_Index%, ExactB
	IniRead, ReadExactC_%A_Index%, %SelectedFileRallye%, Question%A_Index%, ExactC
	IniRead, ReadExactD_%A_Index%, %SelectedFileRallye%, Question%A_Index%, ExactD
	IniRead, ReadDisposition_%A_Index%, %SelectedFileRallye%, Question%A_Index%, Disposition
	IniRead, ReadNbPoints_%A_Index%, %SelectedFileRallye%, Question%A_Index%, Points
	GuiControl,, Question_%A_Index%, % ReadQuestion_%A_Index%
	GuiControl,, ReponseA_%A_Index%, % ReadReponseA_%A_Index%
	GuiControl,, ReponseB_%A_Index%, % ReadReponseB_%A_Index%
	GuiControl,, ReponseC_%A_Index%, % ReadReponseC_%A_Index%
	GuiControl,, ReponseD_%A_Index%, % ReadReponseD_%A_Index%
	GuiControl,, ExactA_%A_Index%, % ReadExactA_%A_Index%
	GuiControl,, ExactB_%A_Index%, % ReadExactB_%A_Index%
	GuiControl,, ExactC_%A_Index%, % ReadExactC_%A_Index%
	GuiControl,, ExactD_%A_Index%, % ReadExactD_%A_Index%
	RadioBtn := "Button" . (NbObjet_%A_Index% + ReadDisposition_%A_Index%)
	GuiControl,,%RadioBtn%,1
	GuiControl,, NbPoints_%A_Index%, % ReadNbPoints_%A_Index%
}

LogStatus("Ouverture d'un projet termine")
return
}

;================================================================================================
;================================================================================================
; Enregistrer le projet
;================================================================================================
;================================================================================================
EnregistrerProjet:
{
Gui, Submit, NoHide
LogStatus("Dbut de l'enregistrement du projet")
;on copie le fichier modele dans le repertoire projet avec comme nom celui du titre du livre
FileCopy, %ModeleDir%\modele.rly, %ProjetDir%\%BookTitle%.rly

;dbut d'enregistrement des donnes dans le fichier rly
IniWrite, %BookTitle%, %ProjetDir%\%BookTitle%.rly, General, Titre
IniWrite, %BookAuteur%, %ProjetDir%\%BookTitle%.rly, General, Auteur
IniWrite, %BookIllustrateur%, %ProjetDir%\%BookTitle%.rly, General, Illustrateur
IniWrite, %BookEditeur%, %ProjetDir%\%BookTitle%.rly, General, Editeur
IniWrite, %ScreenFile%, %ProjetDir%\%BookTitle%.rly, General, Image
IniWrite, %FicheRedacteur%, %ProjetDir%\%BookTitle%.rly, General, Redacteur
IniWrite, %FicheEmail%, %ProjetDir%\%BookTitle%.rly, General, Courriel
IniWrite, %FicheNumero%, %ProjetDir%\%BookTitle%.rly, General, Numero
IniWrite, %FicheLicense%, %ProjetDir%\%BookTitle%.rly, General, Licence

Loop, 10
{
if (Question_%A_Index% != "")
	{
	IniWrite, % Question_%A_Index%, %ProjetDir%\%BookTitle%.rly, Question%A_Index%, Question
	IniWrite, % ReponseA_%A_Index%, %ProjetDir%\%BookTitle%.rly, Question%A_Index%, ReponseA
	IniWrite, % ReponseB_%A_Index%, %ProjetDir%\%BookTitle%.rly, Question%A_Index%, ReponseB
	IniWrite, % ReponseC_%A_Index%, %ProjetDir%\%BookTitle%.rly, Question%A_Index%, ReponseC
	IniWrite, % ReponseD_%A_Index%, %ProjetDir%\%BookTitle%.rly, Question%A_Index%, ReponseD
	IniWrite, % ExactA_%A_Index%, %ProjetDir%\%BookTitle%.rly, Question%A_Index%, ExactA
	IniWrite, % ExactB_%A_Index%, %ProjetDir%\%BookTitle%.rly, Question%A_Index%, ExactB
	IniWrite, % ExactC_%A_Index%, %ProjetDir%\%BookTitle%.rly, Question%A_Index%, ExactC
	IniWrite, % ExactD_%A_Index%, %ProjetDir%\%BookTitle%.rly, Question%A_Index%, ExactD
	IniWrite, % Disposition_%A_Index%, %ProjetDir%\%BookTitle%.rly, Question%A_Index%, Disposition
	IniWrite, % NbPoints_%A_Index%, %ProjetDir%\%BookTitle%.rly, Question%A_Index%, Points
	}
}

LogStatus("Cration du fichier du projet termine")
Return
}

;================================================================================================
;================================================================================================
; Gnrer le PDF
;================================================================================================
;================================================================================================
CreatePDF:
{
Gui, Submit, NoHide

If (BookTitle = "")
		{
		MsgBox, 16, Oubli du titre, Il faut obligatoirement complter le titre du livre.
		Return
		}
		
LogStatus("Dbut de la cration du PDF de questions")

RunWait, "%IMComposite%" -geometry +1750+50 "%TempDir%\Cover.png" "%ModeleDir%\FicheVierge.png" "%TempDir%\fichecouv.png",,Hide

;Cration d'un nouveau document PDF en mmoire
hDoc := HPDF_New("error","000")

;Cration de la police par dfaut
font := HPDF_GetFont(hDoc, "Helvetica", "WinAnsiEncoding")

;Crtaion d'une page, A4, Portrait
page := HPDF_AddPage(hDoc)
HPDF_Page_SetSize(page, "A4", "PORTRAIT")

;Mode de compression du PDF
HPDF_SetCompressionMode(hDoc, "ALL")

;================================================================================================
; Ajout des informations sur le livre et le rdacteur sur le PDF
;================================================================================================
; Ajout de l'image de fond (structure + couverture)
if (ScreenFile <> "")
{
CheminImage = %TempDir%\fichecouv.png
}
Else
{
CheminImage = %ModeleDir%\FicheVierge.png
}
image := HPDF_LoadPngImageFromFile(hDoc, CheminImage)
HPDF_Page_DrawImage(page, image, 0, 0, HPDF_Page_GetWidth(page), HPDF_Page_GetHeight(page))

;print_grid(hDoc,page,10,2,2)

HPDF_Page_BeginText(page)

; Definition de l'paisseur de la ligne (du rectangle...)
;HPDF_Page_SetLineWidth(page, 1)

;Ecriture du titre
; Dfinition pour le texte  crire de la police et de  sa taille puis de sa position (2me ligne)
HPDF_Page_SetFontAndSize(page, font, 24)
HPDF_Page_MoveTextPos(page, 40, 705)  
; Ecriture du texte sur la page   
HPDF_Page_ShowText(page, BookTitle)

;Ecriture du nom de l'auteur, illustrateur et de l'diteur
; Dfinition pour le texte  crire de la police et de  sa taille puis de sa position (2me ligne)
HPDF_Page_SetFontAndSize(page, font, 11)
HPDF_Page_MoveTextPos(page, 0, -33)  
; Ecriture du texte sur la page 
TextAEcrire = %BookAuteur%
if (BookIllustrateur = "")
{
	if (BookEditeur <> "")
	{
	 TextAEcrire = %TextAEcrire% - Ed. %BookEditeur%
	}
}
Else
{
	if (BookEditeur <> "")
	{
	TextAEcrire = %TextAEcrire% et %BookIllustrateur% - Ed. %BookEditeur%
	}
	else
	{
	TextAEcrire = %TextAEcrire% et %BookIllustrateur%
	}
}
HPDF_Page_ShowText(page, TextAEcrire)

;Ajout Numro de fiche
HPDF_Page_SetFontAndSize(page, font, 20)
HPDF_Page_TextOut(page, 210, 810, FicheNumero)

;Ajout du nom - email du rdacteur et sa license
if (FicheRedacteur="")
{
	if (FicheEmail="")
	{
		TextAEcrire = Licence %FicheLicense%
	}
	Else
	{
		TextAEcrire = %FicheEmail% - Licence %FicheLicense%
	}
}
Else
{
	TextAEcrire = %FicheRedacteur%
	if (FicheEmail="")
	{
		TextAEcrire = %TextAEcrire% - Licence %FicheLicense%
	}
	Else
	{
		TextAEcrire = %TextAEcrire% - %FicheEmail% - Licence %FicheLicense%
	}
}
HPDF_Page_SetFontAndSize(page, font, 6)
angle1 := 90                   ; A rotation of 90 degrees.
rad1 := angle1 / 180 * 3.141592 ; Calcurate the radian value.
HPDF_Page_SetTextMatrix(page, cos(rad1), sin(rad1), -sin(rad1), cos(rad1), 20, 80)
HPDF_Page_ShowText(page, TextAEcrire)
HPDF_Page_EndText(page)
;================================================================================================
; Ajout des questions sur le PDF
;================================================================================================

nbQuestion := 0
PosX = 40
PosY = 640

Loop, 10
{
if (Question_%A_Index% != "")
	{
	HPDF_Page_SetRGBFill(page, 0.7, 0.7, 0.7)
	HPDF_Page_Rectangle(page, PosX-3, PosY-3, 16, 16)
	HPDF_Page_Fill(page)
	HPDF_Page_SetRGBFill(page, 0, 0, 0)
	
	HPDF_Page_BeginText(page)
	HPDF_Page_SetFontAndSize(page, font, 12)
	TextAEcrire = %A_Index%.
	HPDF_Page_TextOut(page, PosX, PosY, TextAEcrire)
	TextAEcrire =  % Question_%A_Index%
	HPDF_Page_TextOut(page, PosX+20, PosY, TextAEcrire)
	HPDF_Page_EndText(page)
	
	if (Disposition_%A_Index%=1)
		{
		if(ReponseA_%A_Index% != "")
			{
			PosY := PosY - 15
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseA_%A_Index%
			HPDF_Page_TextOut(page, PosX + 12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseB_%A_Index% != "")
			{
			PosY := PosY-12
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseB_%A_Index%
			HPDF_Page_TextOut(page, PosX + 12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseC_%A_Index% != "")
			{
			PosY := PosY-12
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)		
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseC_%A_Index%
			HPDF_Page_TextOut(page, PosX + 12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseD_%A_Index% != "")
			{
			PosY := PosY-12
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseD_%A_Index%
			HPDF_Page_TextOut(page, PosX + 12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		}
	
Else if (Disposition_%A_Index%=2)
		{
		if(ReponseA_%A_Index% != "")
			{
			PosY := PosY - 15
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseA_%A_Index%
			HPDF_Page_TextOut(page, PosX+12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseB_%A_Index% != "")
			{
			PosY := PosY
			PosX := PosX + 280
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseB_%A_Index%
			HPDF_Page_TextOut(page, PosX+12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseC_%A_Index% != "")
			{
			PosY := PosY-12
			PosX := PosX - 280
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseC_%A_Index%
			HPDF_Page_TextOut(page, PosX+12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseD_%A_Index% != "")
			{
			PosY := PosY
			PosX := PosX + 280
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseD_%A_Index%
			HPDF_Page_TextOut(page, PosX+12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		}
	Else if (Disposition_%A_Index%=3)
		{
		if(ReponseA_%A_Index% != "")
			{
			PosY := PosY - 15
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseA_%A_Index%
			HPDF_Page_TextOut(page, PosX+12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseB_%A_Index% != "")
			{
			PosX := PosX + 140
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseB_%A_Index%
			HPDF_Page_TextOut(page, PosX+12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseC_%A_Index% != "")
			{
			PosX := PosX + 140
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseC_%A_Index%
			HPDF_Page_TextOut(page, PosX+12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseD_%A_Index% != "")
			{
			PosX := PosX + 140
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseD_%A_Index%
			HPDF_Page_TextOut(page, PosX+12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		}
	Else
		{
		MsgBox Vous n'avez pas choisi la disposition des rponses de la question %A_Index%
		Return
		}
	
	NbQuestion := NbQuestion + 1
	;incrmentaion de la position du curseur
	PosX = 40
	PosY := PosY - 22
	}
}


;================================================================================================
; Ajout du tableau de rponses
;================================================================================================
HPDF_Page_SetRGBFill(page, 0.7, 0.7, 0.7)
HPDF_Page_Rectangle(page, 250, 60, 330, 20)
HPDF_Page_Fill(page)
			
HPDF_Page_Rectangle(page, 510, 20, 20, 60)
HPDF_Page_Stroke(page)	
			
HPDF_Page_Rectangle(page, 470, 20, 20, 60)
HPDF_Page_Stroke(page)	
			
HPDF_Page_Rectangle(page, 430, 20, 20, 60)
HPDF_Page_Stroke(page)	
			
HPDF_Page_Rectangle(page, 410, 20, 20, 60)
HPDF_Page_Stroke(page)	
			
HPDF_Page_Rectangle(page, 370, 20, 20, 60)
HPDF_Page_Stroke(page)	
			
HPDF_Page_Rectangle(page, 330, 20, 20, 60)
HPDF_Page_Stroke(page)	

HPDF_Page_SetRGBFill(page, 0, 0, 0)			
HPDF_Page_SetLineWidth(page, 1)
HPDF_Page_Rectangle(page, 250, 20, 330, 60)
HPDF_Page_Stroke(page)		
			
HPDF_Page_MoveTo(page, 250, 40)
HPDF_Page_LineTo(page, 580, 40)
HPDF_Page_Stroke(page)
			
HPDF_Page_MoveTo(page, 250, 60)
HPDF_Page_LineTo(page, 580, 60)
HPDF_Page_Stroke(page)

HPDF_Page_SetFontAndSize(page, font, 9)
HPDF_Page_BeginText(page)
HPDF_Page_TextOut(page, 252, 66, "QUESTION")
HPDF_Page_TextOut(page, 252, 46, "NOTE OBTENUE")
HPDF_Page_TextOut(page, 252, 26, "NOTE MAXIMALE")
HPDF_Page_TextOut(page, 542, 66, "TOTAL")
HPDF_Page_EndText(page)

NbPointsTotal := 0
PosX=336
PosY=66
Loop, 10
{
	HPDF_Page_BeginText(page)
	TextAEcrire = %A_Index%
	HPDF_Page_TextOut(page, PosX, PosY, TextAEcrire)
	if (Question_%A_Index% != "")
		{
		if NbPoints_%A_Index% is not integer
			{
			MsgBox Vous n'avez pas choisi le nombre de points attribu  la question %A_Index%
			return
			}
		Else
			{
			TextAEcrire= % NbPoints_%A_Index%
			HPDF_Page_TextOut(page, PosX, PosY-40, TextAEcrire)
			NbPointsTotal := NbPointsTotal + NbPoints_%A_Index%
			}
		}
	Else
		{
		TextAEcrire = X
		HPDF_Page_TextOut(page, PosX, PosY-40, TextAEcrire)
		HPDF_Page_TextOut(page, PosX, PosY-20, TextAEcrire)
		}
	HPDF_Page_EndText(page)
	PosX := PosX + 20
}
HPDF_Page_BeginText(page)
TextAEcrire= %NbPointsTotal%
HPDF_Page_TextOut(page, 552, 26, TextAEcrire)
HPDF_Page_EndText(page)
;================================================================================================
;Enregistre le PDF cr
;================================================================================================
NomFichier= %PDFDir%\%BookTitle%.pdf
IfExist, %NomFichier%
	{
	MsgBox, 4, , Une fiche avec ce nom existe dj. Voulez-vous le remplacer ?
	IfMsgBox, No
		{
		NomFichier= %PDFDir%\%BookTitle%01.pdf
		HPDF_SaveToFile(hDoc, NomFichier)
		}
	Else
		{
		HPDF_SaveToFile(hDoc, NomFichier)
		}
	}
Else
	{
	HPDF_SaveToFile(hDoc, NomFichier)
	}
	
; Informe l'utilisateur de la fin de cration du PDF
LogStatus("Cration du PDF de questions termine.")

; Rend cliquable le bouton "Lire le PDF"
GuiControl, Enable, ReadPDF
Return
}

;================================================================================================
;================================================================================================
;Lecture du PDF de questions en ouvrant SumatraPDF
;================================================================================================
;================================================================================================
ReadPDF:
{
RunWait, "%PDFLecteur%" "%NomFichier%"
Return
}


;================================================================================================
;================================================================================================
; Gnrer le PDF de correction
;================================================================================================
;================================================================================================
CreatePDFCorrection:
{
Gui, Submit, NoHide

If (BookTitle = "")
		{
		MsgBox, 16, Oubli du titre, Il faut obligatoirement complter le titre du livre.
		Return
		}
		
LogStatus("Dbut de la cration du PDF de correction")

RunWait, "%IMComposite%" -geometry +1750+50 "%TempDir%\Cover.png" "%ModeleDir%\FicheVierge.png" "%TempDir%\fichecouv.png",,Hide

; Ancien code
;RunWait, "%IMConvert%" -pointsize 24 label:%BookAuteur% "%TempDir%\truc.jpg",,Hide
;RunWait, "%IMComposite%" -geometry +500+500 "%TempDir%\truc.jpg" "%TempDir%\FicheCouv.jpg" "%TempDir%\FicheCouv.jpg",,Hide
;RunWait, "%IMConvert%" "%TempDir%\FicheCouv.jpg" "%PDFDir%\%BookTitle%.pdf",,Hide
; Fin ancien code

;Cration d'un nouveau document PDF en mmoire
hDoc := HPDF_New("error","000")

;Cration de la police par dfaut
font := HPDF_GetFont(hDoc, "Helvetica", "WinAnsiEncoding")

;Crtaion d'une page, A4, Portrait
page := HPDF_AddPage(hDoc)
HPDF_Page_SetSize(page, "A4", "PORTRAIT")

;Mode de compression du PDF
HPDF_SetCompressionMode(hDoc, "ALL")

;HPDF_GetEncoder(hDoc, "WinAnsiEncoding")
;================================================================================================
; Ajout des informations sur le livre et le rdacteur sur le PDF
;================================================================================================
; Ajout de l'image de fond (structure + couverture)
if (ScreenFile <> "")
{
CheminImage = %TempDir%\fichecouv.png
}
Else
{
CheminImage = %ModeleDir%\FicheVierge.png
}
image := HPDF_LoadPngImageFromFile(hDoc, CheminImage)
HPDF_Page_DrawImage(page, image, 0, 0, HPDF_Page_GetWidth(page), HPDF_Page_GetHeight(page))

;print_grid(hDoc,page,10,2,2)

HPDF_Page_BeginText(page)

; Definition de l'paisseur de la ligne (du rectangle...)
;HPDF_Page_SetLineWidth(page, 1)

;Ecriture du titre
; Dfinition pour le texte  crire de la police et de  sa taille puis de sa position (2me ligne)
HPDF_Page_SetFontAndSize(page, font, 24)
HPDF_Page_MoveTextPos(page, 40, 705)  
; Ecriture du texte sur la page   
HPDF_Page_ShowText(page, BookTitle)

;Ecriture du nom de l'auteur, illustrateur et de l'diteur
; Dfinition pour le texte  crire de la police et de  sa taille puis de sa position (2me ligne)
HPDF_Page_SetFontAndSize(page, font, 11)
HPDF_Page_MoveTextPos(page, 0, -33)  
; Ecriture du texte sur la page 
TextAEcrire = %BookAuteur%
if (BookIllustrateur = "")
{
	if (BookEditeur <> "")
	{
	 TextAEcrire = %TextAEcrire% - Ed. %BookEditeur%
	}
}
Else
{
	if (BookEditeur <> "")
	{
	TextAEcrire = %TextAEcrire% et %BookIllustrateur% - Ed. %BookEditeur%
	}
	else
	{
	TextAEcrire = %TextAEcrire% et %BookIllustrateur%
	}
}
HPDF_Page_ShowText(page, TextAEcrire)

;Ajout Numro de fiche
HPDF_Page_SetFontAndSize(page, font, 20)
HPDF_Page_TextOut(page, 210, 810, FicheNumero)

;Ajout du nom - email du rdacteur et sa license
if (FicheRedacteur="")
{
	if (FicheEmail="")
	{
		TextAEcrire = Licence %FicheLicense%
	}
	Else
	{
		TextAEcrire = %FicheEmail% - Licence %FicheLicense%
	}
}
Else
{
	TextAEcrire = %FicheRedacteur%
	if (FicheEmail="")
	{
		TextAEcrire = %TextAEcrire% - Licence %FicheLicense%
	}
	Else
	{
		TextAEcrire = %TextAEcrire% - %FicheEmail% - Licence %FicheLicense%
	}
}
HPDF_Page_SetFontAndSize(page, font, 6)
angle1 := 90                   ; A rotation of 90 degrees.
rad1 := angle1 / 180 * 3.141592 ; Calcurate the radian value.
HPDF_Page_SetTextMatrix(page, cos(rad1), sin(rad1), -sin(rad1), cos(rad1), 20, 80)
HPDF_Page_ShowText(page, TextAEcrire)
HPDF_Page_EndText(page)
;================================================================================================
; Ajout des questions sur le PDF
;================================================================================================

nbQuestion := 0
PosX = 40
PosY = 640

Loop, 10
{
if (Question_%A_Index% != "")
	{
	HPDF_Page_SetRGBFill(page, 0.7, 0.7, 0.7)
	HPDF_Page_Rectangle(page, PosX-3, PosY-3, 16, 16)
	HPDF_Page_Fill(page)
	HPDF_Page_SetRGBFill(page, 0, 0, 0)
	
	HPDF_Page_BeginText(page)
	HPDF_Page_SetFontAndSize(page, font, 12)
	TextAEcrire = %A_Index%.
	HPDF_Page_TextOut(page, PosX, PosY, TextAEcrire)
	TextAEcrire =  % Question_%A_Index%
	HPDF_Page_TextOut(page, PosX+20, PosY, TextAEcrire)
	HPDF_Page_EndText(page)
	
	if (Disposition_%A_Index%=1)
		{
		if(ReponseA_%A_Index% != "")
			{
			PosY := PosY - 15
			if(ExactA_%A_Index% = 1)
				HPDF_Page_SetRGBFill(page, 1, 0, 0)
			else
				HPDF_Page_SetRGBFill(page, 0, 0, 0)
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseA_%A_Index%
			HPDF_Page_TextOut(page, PosX + 12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseB_%A_Index% != "")
			{
			PosY := PosY-12
			if(ExactB_%A_Index% = 1)
				HPDF_Page_SetRGBFill(page, 1, 0, 0)
			else
				HPDF_Page_SetRGBFill(page, 0, 0, 0)
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseB_%A_Index%
			HPDF_Page_TextOut(page, PosX + 12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseC_%A_Index% != "")
			{
			PosY := PosY-12
			if(ExactC_%A_Index% = 1)
				HPDF_Page_SetRGBFill(page, 1, 0, 0)
			else
				HPDF_Page_SetRGBFill(page, 0, 0, 0)
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)		
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseC_%A_Index%
			HPDF_Page_TextOut(page, PosX + 12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseD_%A_Index% != "")
			{
			PosY := PosY-12
			if(ExactD_%A_Index% = 1)
				HPDF_Page_SetRGBFill(page, 1, 0, 0)
			else
				HPDF_Page_SetRGBFill(page, 0, 0, 0)
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseD_%A_Index%
			HPDF_Page_TextOut(page, PosX + 12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		}
	
Else if (Disposition_%A_Index%=2)
		{
		if(ReponseA_%A_Index% != "")
			{
			PosY := PosY - 15
			if(ExactA_%A_Index% = 1)
				HPDF_Page_SetRGBFill(page, 1, 0, 0)
			else
				HPDF_Page_SetRGBFill(page, 0, 0, 0)
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseA_%A_Index%
			HPDF_Page_TextOut(page, PosX+12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseB_%A_Index% != "")
			{
			PosY := PosY
			PosX := PosX + 280
			if(ExactB_%A_Index% = 1)
				HPDF_Page_SetRGBFill(page, 1, 0, 0)
			else
				HPDF_Page_SetRGBFill(page, 0, 0, 0)
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseB_%A_Index%
			HPDF_Page_TextOut(page, PosX+12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseC_%A_Index% != "")
			{
			PosY := PosY-12
			PosX := PosX - 280
			if(ExactC_%A_Index% = 1)
				HPDF_Page_SetRGBFill(page, 1, 0, 0)
			else
				HPDF_Page_SetRGBFill(page, 0, 0, 0)
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseC_%A_Index%
			HPDF_Page_TextOut(page, PosX+12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseD_%A_Index% != "")
			{
			PosY := PosY
			PosX := PosX + 280
			if(ExactD_%A_Index% = 1)
				HPDF_Page_SetRGBFill(page, 1, 0, 0)
			else
				HPDF_Page_SetRGBFill(page, 0, 0, 0)
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseD_%A_Index%
			HPDF_Page_TextOut(page, PosX+12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		}
	Else if (Disposition_%A_Index%=3)
		{
		if(ReponseA_%A_Index% != "")
			{
			PosY := PosY - 15
			if(ExactA_%A_Index% = 1)
				HPDF_Page_SetRGBFill(page, 1, 0, 0)
			else
				HPDF_Page_SetRGBFill(page, 0, 0, 0)
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseA_%A_Index%
			HPDF_Page_TextOut(page, PosX+12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseB_%A_Index% != "")
			{
			PosX := PosX + 140
			if(ExactB_%A_Index% = 1)
				HPDF_Page_SetRGBFill(page, 1, 0, 0)
			else
				HPDF_Page_SetRGBFill(page, 0, 0, 0)
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseB_%A_Index%
			HPDF_Page_TextOut(page, PosX+12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseC_%A_Index% != "")
			{
			PosX := PosX + 140
			if(ExactC_%A_Index% = 1)
				HPDF_Page_SetRGBFill(page, 1, 0, 0)
			else
				HPDF_Page_SetRGBFill(page, 0, 0, 0)
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseC_%A_Index%
			HPDF_Page_TextOut(page, PosX+12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		if(ReponseD_%A_Index% != "")
			{
			PosX := PosX + 140
			if(ExactD_%A_Index% = 1)
				HPDF_Page_SetRGBFill(page, 1, 0, 0)
			else
				HPDF_Page_SetRGBFill(page, 0, 0, 0)
			;print the lines of the page.
			HPDF_Page_SetLineWidth(page, 1)
			HPDF_Page_Rectangle(page, PosX, PosY, 10, 10)
			HPDF_Page_Stroke(page)			
			HPDF_Page_BeginText(page)
			TextAEcrire= % ReponseD_%A_Index%
			HPDF_Page_TextOut(page, PosX+12, PosY, TextAEcrire)
			HPDF_Page_EndText(page)
			}
		}
	Else
		{
		MsgBox Vous n'avez pas choisi la disposition des rponses de la question %A_Index%
		Return
		}
	
	NbQuestion := NbQuestion + 1
	HPDF_Page_SetRGBFill(page, 0, 0, 0)
	;incrmentaion de la position du curseur
	PosX = 40
	PosY := PosY - 22
	}
}


;================================================================================================
;Enregistre le PDF cr
;================================================================================================
NomFichierCorrection= %PDFDir%\%BookTitle%Correction.pdf
IfExist, %NomFichierCorrection%
	{
	MsgBox, 4, , Une fiche avec ce nom existe dj. Voulez-vous le remplacer ?
	IfMsgBox, No
		{
		NomFichierCorrection= %PDFDir%\%BookTitle%Correction01.pdf
		HPDF_SaveToFile(hDoc, NomFichierCorrection)
		}
	Else
		{
		HPDF_SaveToFile(hDoc, NomFichierCorrection)
		}
	}
Else
	{
	HPDF_SaveToFile(hDoc, NomFichierCorrection)
	}

; Informe l'utilisateur de la fin de cration du PDF
LogStatus("Cration du PDF de correction termine.")

; Rend cliquable le bouton "Lire le PDF"
GuiControl, Enable, ReadPDFCorrection
Return
}


;================================================================================================
;================================================================================================
;Lecture du PDF de correction en ouvrant SumatraPDF
;================================================================================================
;================================================================================================
ReadPDFCorrection:
{
RunWait, "%PDFLecteur%" "%NomFichierCorrection%"
Return
}

;================================================================================================
;================================================================================================
; Aide - Ouvre un PDF contenant l'aide
;================================================================================================
;================================================================================================
Aide:
{
FichierAide := A_ScriptDir . "\aide.pdf"
RunWait, "%PDFLecteur%" "%FichierAide%"
Return
}

;================================================================================================
;================================================================================================
; Gestion du bouton Quitter
;================================================================================================
;================================================================================================
GuiClose:
	;unload dll
	HPDF_UnloadDLL(hDll)
	
	Gosub CleanTemp
	ExitApp
Return



CleanTemp:
{
	FileRemoveDir, %TempDir%, 1
	FileCreateDir, %TempDir%
Return
}

; ================================================================================
;						Gestion des contenus des contrles
; ================================================================================
; cration des captures cran
TransformScreen:
{
	SB_SetIcon("user32.dll", 5)
	LogStatus("Dbut de l'importation de la couverture")
	GuiControl, Disable, CreatePDF
	GuiControl, Disable, CreatePDFCorrection
	RunWait, "%IMConvert%" "%SelectedScreen%" -scale 650x750 -trim -background transparent -gravity center -extent 600x700 "%TempDir%\Cover.png",, Hide
	RunWait, "%IMConvert%" "%SelectedScreen%" -scale 128x128 -trim -background transparent -gravity center -extent 128x128 "%TempDir%\Cover128.png",, Hide
	LogStatus("Mise  l'chelle de la couverture termine.")
	GuiControl, , Screen128, %TempDir%\Cover128.png
	GuiControl, Enable, CreatePDF
	GuiControl, Enable, CreatePDFCorrection
Return
}

; ================================================================================
; 						Dfinitions des fonctions
; ================================================================================
VerifLongueurA(NoQuestion)
{
Gui, Submit, NoHide
Message = 
LongueurQuestionA:=StrLen(ReponseA_%NoQuestion%)
;MsgBox %LongueurQuestionA%
LongueurQuestionB:=StrLen(ReponseB_%NoQuestion%)
;MsgBox %LongueurQuestionB%
LongueurQuestionC:=StrLen(ReponseC_%NoQuestion%)
;MsgBox %LongueurQuestionC%
LongueurQuestionD:=StrLen(ReponseD_%NoQuestion%)
;MsgBox %LongueurQuestionD%
if ((LongueurQuestionA > 66) OR (LongueurQuestionB > 66) OR (LongueurQuestionC > 66) OR (LongueurQuestionD > 66))
	{
	Message = Rponse(s) trop longue(s) pour la disposition choisie : 
	if (LongueurQuestionA > 66)
		{
		Message = %Message% A 
		}
	if (LongueurQuestionB > 66)
		{
		Message = %Message% B 
		}
	if (LongueurQuestionC > 66)
		{
		Message = %Message% C 
		}
	if (LongueurQuestionD > 66)
		{
		Message = %Message% D 
		}
	MsgBox, 48, Problme de longueur , %Message%	
	Message = 
	}
Else 
	{
	return
	}
Return
}

VerifLongueurB(NoQuestion)
{
Gui, Submit, NoHide
Message = 
LongueurQuestionA:=StrLen(ReponseA_%NoQuestion%)
;MsgBox %LongueurQuestionA%
LongueurQuestionB:=StrLen(ReponseB_%NoQuestion%)
;MsgBox %LongueurQuestionB%
LongueurQuestionC:=StrLen(ReponseC_%NoQuestion%)
;MsgBox %LongueurQuestionC%
LongueurQuestionD:=StrLen(ReponseD_%NoQuestion%)
;MsgBox %LongueurQuestionD%
if ((LongueurQuestionA > 30) OR (LongueurQuestionB > 30) OR (LongueurQuestionC > 30) OR (LongueurQuestionD > 30))
	{
	Message = Rponse(s) trop longue(s) pour la disposition choisie : 
	if (LongueurQuestionA > 30)
		{
		Message = %Message% A 
		}
	if (LongueurQuestionB > 30)
		{
		Message = %Message% B 
		}
	if (LongueurQuestionC > 30)
		{
		Message = %Message% C 
		}
	if (LongueurQuestionD > 30)
		{
		Message = %Message% D 
		}
	MsgBox, 48, Problme de longueur , %Message%	
	Message = 
	}
Else 
	{
	return
	}
Return
}


VerifLongueurC(NoQuestion)
{
Gui, Submit, NoHide
Message = 
LongueurQuestionA:=StrLen(ReponseA_%NoQuestion%)
;MsgBox %LongueurQuestionA%
LongueurQuestionB:=StrLen(ReponseB_%NoQuestion%)
;MsgBox %LongueurQuestionB%
LongueurQuestionC:=StrLen(ReponseC_%NoQuestion%)
;MsgBox %LongueurQuestionC%
LongueurQuestionD:=StrLen(ReponseD_%NoQuestion%)
;MsgBox %LongueurQuestionD%
if ((LongueurQuestionA > 15) OR (LongueurQuestionB > 15) OR (LongueurQuestionC > 15) OR (LongueurQuestionD > 15))
	{
	Message = Rponse(s) trop longue(s) pour la disposition choisie : 
	if (LongueurQuestionA > 15)
		{
		Message = %Message% A 
		}
	if (LongueurQuestionB > 15)
		{
		Message = %Message% B 
		}
	if (LongueurQuestionC > 15)
		{
		Message = %Message% C 
		}
	if (LongueurQuestionD > 15)
		{
		Message = %Message% D 
		}
	MsgBox, 48, Problme de longueur , %Message%	
	Message = 
	}
Else 
	{
	return
	}
Return
}


ListIni(INISect)
{
	TempList := ""
	Loop {
		IniRead, Entry%A_Index%, %A_ScriptDir%\RallyeLect.ini, %INISect%, name%A_Index%, Fini
		IfEqual, Entry%A_Index%, Fini, Break
		TempList .= Entry%A_Index% . "|"
		}
	StringTrimRight, TempList, TempList, 1
Return, %TempList%
}

TestPicture(PicFolder, LocalPic, RemotePic)
{
	Ajout := ""
	IfNotExist, %PicFolder%\%LocalPic%
		{
		Ajout .= LocalPic
		IfNotEqual, RemotePic
			Ajout .= "* `r`n"
		Else
			Ajout .= "`r`n"
		}
Return %Ajout%
}

LogStatus(LogMessage)
{
	global LogMsg, LogDisplay
	LogMsg .= LogMessage . "|"
	SB_SetText(LogMessage)
	GuiControl, 3: , LogDisplay, %LogMessage%||
Return
}



; ================================================================================
;					 Gestion des Fentres supplmentaires
; ================================================================================

LogWindow:
{
	Gui, 3:+owner1 -SysMenu
	Gui, 3:Add, ListBox, x5 y5 w490 h300 ReadOnly vLogDisplay, %LogMsg%
	Gui, 3:Add, Button, x245 y310 w80 h25 gLogClose, Quitter
	Gui, 3:Show, Center h340 w500, Fentre de Log
Return
}

LogClose:
	Gui, 1:-Disabled
	Gui, Destroy
Return
